Bug 9351 - Installer can't find packages due to wrong CD drive mount
: Installer can't find packages due to wrong CD drive mount
Status: CLOSED WONTFIX
: Branch 3.0
(All bugs in Branch 3.0/udev)
: 3.0
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-03-31 17:22 by
Modified: 2008-02-15 19:36 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-03-31 17:22:12
I tried to install ALC-3.0 (CD edition) from an external (USB-connected) 
DVD-RW drive, and installer was unable to install any "custom" packages. 
This happenned because the drive was incorrectly mounted (via subfs): 
device node /dev/cdrom was missing while subfs tried to connect it 
to /media/cdrom.  
 
The following CD-related devices nodes actually existed: 
 
/dev/cdwriter 
/dev/cdroms/cdrom0 
/dev/cdroms/cdwriter0 
/dev/cdroms/dvd0
------- Comment #1 From 2006-03-31 17:36:53 -------
что говорит:

$ udevinfo -q all -n hdc
------- Comment #2 From 2006-03-31 17:37:16 -------
где hdc - собственно устройство cdrom'а
------- Comment #3 From 2006-03-31 18:05:33 -------
Итого: 
 
[root@localhost alterator]# udevinfo -q all -n sr0 
P: /block/sr0 
N: sr0 
S: cdroms/cdwriter0 
S: cdwriter 
S: cdroms/dvd0 
S: dvd 
S: cdroms/cdrom0 
[root@localhost alterator]# _ 
 
Пишу, перебивая с экрана соседней машины, поэтому возможны опечатки 
------- Comment #4 From 2006-03-31 18:08:56 -------
а что говорит /etc/udev/scripts/cd-names.sh sr0 ?
------- Comment #5 From 2006-03-31 18:09:26 -------
reassign to udev
------- Comment #6 From 2007-04-06 16:33:06 -------
на мантейнера
------- Comment #7 From 2008-02-15 19:36:44 -------
apparently wontfix (for 3.0; 4.0 should work though)